# $Revision: 1.16 $, $Date: 2007/11/18 18:00:49 $
%define		_modname	archive
%define		_status		beta
Summary:	%{_modname} - manipulate tar/cpio archives
Summary(pl.UTF-8):	%{_modname} - obróbka archiwów tar/cpio
Name:		php-pecl-%{_modname}
Version:	0.2
Release:	8
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	1b121440b2c460b2a1af46e31f23e46e
Patch0:		%{name}-php52.patch
URL:		http://pecl.php.net/package/archive/
BuildRequires:	libarchive-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
archive extension allows to read and write tar and cpio archives using
libarchive.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie archive pozwala na odczyt i zapis archiwów tar oraz cpio
przy użyciu biblioteki libarchive.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
cd %{_modname}-%{version}
%patch0 -p0

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{API.txt,CREDITS,tests}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-archive.spec,v $
Revision 1.16  2007/11/18 18:00:49  arekm
- rel 8

Revision 1.15  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.13  2006/12/26 17:50:40  adamg
- fix build on php-5.2

Revision 1.12  2006/12/14 23:48:52  glen
- use new php extension related macros

Revision 1.11  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.10  2005/12/22 12:12:13  glen
- rel 6 (rebuild with new php)

Revision 1.9  2005/10/30 13:29:36  glen
- rel 5

Revision 1.8  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.7  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.6  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.5  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.4  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.3  2005/07/27 09:26:07  adamg
- release 2

Revision 1.2  2005/07/27 09:17:05  adamg
- BuildRequries: libarchive-devel

Revision 1.1  2005/07/27 08:36:03  adamg
- new
